/*

*/

import java.io.FileOutputStream;
import java.io.IOException;

/**
   This program writes pixel data to a RAW file.
   The exact same pixel data is written as in Example_1.java.

   Notice that this program doesn't use a FrameBuffer object.
   It just writes the (raw) pixel data directly to a file.
*/
public class Example_2
{
   public static void main(String[] args)
   {
      String filename = "Example_2.raw";

      int height = 600;
      int width  = 600;
      byte[] pixel_buffer = new byte[height * width * 3];

      for (int i = 0; i < height*width*3; i+=9)
      {
         pixel_buffer[i+0] = (byte)255;  // a red pixel
         pixel_buffer[i+1] = 0;
         pixel_buffer[i+2] = 0;

         pixel_buffer[i+3] = 0;    // followed by a green pixel
         pixel_buffer[i+4] = (byte)255;
         pixel_buffer[i+5] = 0;

         pixel_buffer[i+6] = 0;    // followed by a blue pixel
         pixel_buffer[i+7] = 0;
         pixel_buffer[i+8] = (byte)255;
      }

      try  // write the pixel data to the raw output file
      {
         FileOutputStream fos = new FileOutputStream(filename);
         fos.write(pixel_buffer);
         fos.close();
      }
      catch (IOException e)
      {
         e.printStackTrace(System.err);
         System.err.printf("ERROR! Could not write to file %s\n", filename);
         System.exit(-1);
      }
   }
}
