/*

*/

import framebuffer.FrameBuffer;

import java.util.Random;
import java.awt.Color;
import java.io.FileInputStream;
import java.io.IOException;

/**
   This program writes random pixel data to a PPM file using the FrameBuffer class.

   Take the resulting ppm file and convert it into a PNG file and also a JPG file.
   Those are "compressed" file formats so the png file and the jpg files should be
   smaller than the original ppm file. But they are not! Why?
*/
public class Example_4
{
   public static void main(String[] args)
   {
      String filename = "Example_4";

      int height = 600;
      int width  = 600;
      FrameBuffer fb = new FrameBuffer(width, height);

      Random random = new Random();

      for (int y = 0; y < height; ++y)
      {
         for(int x = 0; x < width; ++x)
         {
            int r = random.nextInt(256);
            int g = random.nextInt(256);
            int b = random.nextInt(256);
            fb.setPixelFB(x, y, new Color(r, g, b));
         }
      }

      fb.dumpFB2File( filename + ".ppm" );
      fb.dumpFB2File( filename + ".png", "png");
      fb.dumpFB2File( filename + ".jpg", "jpg");
    //fb.dumpFB2File( filename + ".gif", "gif");
   }
}
